%define		rubyabi		1.9.1

Name:		ruby-taglib
Version:	1.1
Release:	7%{?dist}
Summary:	Ruby library wrapping the Taglib library
Group:		Development/Languages

License:	MIT
URL:		http://www.hakubi.us/ruby-taglib/
Source0:	http://www.hakubi.us/ruby-taglib/%{name}-%{version}.tar.bz2
# Patch from debian
Patch0:		ruby-taglib-1.1-debian-10_so-name.dpatch
Patch1:		ruby-taglib-1.1-debian-20_tag-undefined.dpatch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:	noarch
BuildRequires:	ruby
BuildRequires:	ruby-devel
BuildRequires:	ruby(abi) = %{rubyabi}
Requires:	ruby(abi) = %{rubyabi}
Requires:	ruby
Requires:	taglib
Provides:	ruby(taglib) = %{version}-%{release}

%description
ruby-taglib is a simple dl-based wrapper of
Taglib's C library.  It's short and sweet, because the C API is written by
someone who knows how to use OO programming, and Ruby with dl just
makes it all too easy to wrap such a library.

%prep
%setup -q
%patch0 -p1 -b .soname
%patch1 -p1 -b .warn

%build
ruby setup.rb config \
	--prefix=%{_prefix} \
	--siterubyver=%{ruby_vendorlibdir}
ruby setup.rb setup

%install
%{__rm} -rf $RPM_BUILD_ROOT

ruby setup.rb install \
	--prefix=$RPM_BUILD_ROOT

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README

%{ruby_vendorlibdir}/taglib.rb

%changelog
* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Feb 08 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 1.1-6
- Rebuilt for Ruby 1.9.3.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 25 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.1-3
- F-12: Mass rebuild

* Tue Feb 24 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.1-2
- %%global-ize "nested" macro

* Thu Jul  3 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.1-1
- Initial packaging
- Two patches from debian applied

